Bug 465224 - Multiple swap partitions
Multiple swap partitions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 05:49 EDT by Jóhann B. Guðmundsson
Modified: 2009-06-18 13:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 13:52:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture of the error. (666.76 KB, image/jpeg)
2008-10-03 05:34 EDT, Jóhann B. Guðmundsson
no flags Details
Swap error msg in Anaconda (753.98 KB, image/jpeg)
2008-11-05 07:39 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2008-10-02 05:49:33 EDT
Description of problem:

Anaconda gets confused on which swap partition to use
if there are more than 4 swap partitions.

Happens while writing changes to disk.
Anaconda tries to use one of the swap partition in one of the other 
Volume groups and crashes.

Version-Release number of selected component (if applicable):

11.4.1.40

How reproducible:

Always

Insert the Anaconda DVD.

Select custom layout in partitioning menu.

Create boot 

Steps to Reproduce:
1.Insert the Anaconda DVD.
2.Select custom layout in partitioning menu.
3.Create 200 MiB /boot partition
4.Create an 10000MiB LVM 
5.Create an VolGroup00 which contains 
  logvol00 / 7094MiB at size and logvol01 /swap 2048MiB a
6.Repeat the above steps 5 times this happens during the 5 installation.
7.Make the appropriate chainload entry's in grub to be able to 
  access all these installations.
 
Actual results:

Anaconda gets confused and tries use one of the swap partition in one
of the other volgroups.

Expected results:

Anaconda being able to write the changes to the partition table
and being able to proceed with install.

Additional info:

Note this setup is below the 16 partition kernel limitation 
5 x ( 1 /boot + 1 / LogVol00 + 1 Swap LogVol01 ) = 15 partitions
Comment 1 Chris Lumens 2008-10-02 10:33:32 EDT
And what is the error message you are seeing?  If you are getting a traceback, can you attach it to this bug?  Even better would be trying to use the automatic bug filing mechanism since you already have a bugzilla account.
Comment 2 Jóhann B. Guðmundsson 2008-10-02 10:48:12 EDT
Was going to take a screenshot and attache it but I was unable
to access the shell ( could use the arrow buttons but no input in shell )
network manager shut down and when I return to x it had shut down as well
How to I find or use the "automatic bug filing mechanism"
Comment 3 Jóhann B. Guðmundsson 2008-10-02 10:55:16 EDT
Notice now that it manage to alter the partition layout 
as in the new layout get "saved" so this issue happens after that.
Comment 4 Jóhann B. Guðmundsson 2008-10-03 05:34:51 EDT
Created attachment 319332 [details]
Picture of the error.

This is happening to me also on my T61p 

The T61p is not partitioned to death.

[root@localhost ~]# fdisk -l

Disk /dev/sda: 200.0 GB, 200049647616 bytes
240 heads, 63 sectors/track, 25841 cylinders
Units = cylinders of 15120 * 512 = 7741440 bytes
Disk identifier: 0xdc25475a

  Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          27      204088+  83  Linux <-- /boot
/dev/sda2              28       13572   102400200   8e  Linux LVM <- VG00 /&swap
/dev/sda3           13573       20032    48837600   8e  Linux LVM < VG01 storage
/dev/sda4           20033       25841    43916040    5  Extended
/dev/sda5           20033       20059      204088+  83  Linux <-- new /boot
/dev/sda6           20060       25841    43711888+  8e  Linux LVM < new VG02 

I would provide log files if anaconda would not shut down as soon as I switched 
to the shell so I suggest you try to recreate this 

PS. 
    Notice on the screen shot that anaconda does not fill the screen (NV)..
Comment 5 Jóhann B. Guðmundsson 2008-10-03 06:39:16 EDT
I'm able to install F9 GA ( Anaconda 11.4.0.82 ) on the T61p
with the above setup.
Comment 6 Jóhann B. Guðmundsson 2008-11-05 07:38:01 EST
Still an issue on F10Preview... 

Increasing the priority on this to High.
Comment 7 Jóhann B. Guðmundsson 2008-11-05 07:39:18 EST
Created attachment 322563 [details]
Swap error msg in Anaconda

Note there is no option to file to bugzilla on this error screen....
Comment 8 Jóhann B. Guðmundsson 2008-11-05 07:42:38 EST
This happen when I was doing the second installation on the HD 

Notice the Error enabling swap device Volgroup00/LogVol01

The swap device I created was on the Volgroup01/LogVol01....
Comment 9 Bug Zapper 2008-11-25 22:27:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Chris Lumens 2009-04-08 15:56:28 EDT
We have made extensive changes to the partitioning code for F11 beta, such that it is very difficult to tell whether your bug is still relevant or not.  Please test with either the latest rawhide you have access to or F11 and let us know whether you are still seeing this problem.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.